%define chewing_version	        0.4.0
%define scim_version		1.4.14

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-chewing
Summary:	SCIM IMEngine module for chewing
Epoch:		1
Version:	0.5.1
Release:	%mkrel 1
Group:		System/Internationalization
License:	GPL2+
URL:		http://chewing.im/
Source0:	https://github.com/chewing/scim-chewing/releases/download/%version/%name-%version.tar.gz
Requires:	libchewing >= 1:%{chewing_version}
Requires:	scim-client = %scim_api
BuildRequires:  libchewing-devel >= %{chewing_version}
BuildRequires:  scim-devel >= %{scim_version}
BuildRequires:  intltool 
BuildRequires:  gettext-devel
# compatibility
Obsoletes:	%mklibname %{name} 0

%description
Scim-chewing is an SCIM IMEngine module for chewing,
an intelligent Chinese phonetic input method.

%prep
%setup -q -n %name-%version

%build
./autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}%{_libdir}/scim-1.0/*/*/*.{a,la}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so


%changelog
* Fri May 13 2016 yochenhsieh <yochenhsieh> 1:0.5.1-1.mga6
+ Revision: 1014827
- new version 0.5.1

* Sat Feb 06 2016 umeabot <umeabot> 1:0.3.5-7.mga6
+ Revision: 940176
- Mageia 6 Mass Rebuild

* Fri Oct 17 2014 fwang <fwang> 1:0.3.5-6.mga5
+ Revision: 771741
- more patches

* Fri Oct 17 2014 fwang <fwang> 1:0.3.5-5.mga5
+ Revision: 771527
- use autogen
- bump req
- more patch

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Dec 10 2013 yochenhsieh <yochenhsieh> 1:0.3.5-3.mga4
+ Revision: 556149
- Upload patch
- Add patch to bump chewing version in configure

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Jan 24 2013 yochenhsieh <yochenhsieh> 1:0.3.5-1.mga3
+ Revision: 391943
- New version release, removed unused patches

* Mon Jan 14 2013 umeabot <umeabot> 1:0.3.4-2.mga3
+ Revision: 381847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 fwang <fwang> 1:0.3.4-1.mga3
+ Revision: 344604
- add debian patch to build with latest gtk

* Wed Apr 13 2011 ennael <ennael> 1:0.3.4-1.mga1
+ Revision: 84371
- remove buildroot
- new release, many bug fixes

* Sat Mar 19 2011 blino <blino> 1:0.3.3-6.mga1
+ Revision: 74360
- imported package scim-chewing

